Loading...
Searching...
No Matches
elastix::CoreMainGTestUtilities Namespace Reference

## Data Structures

class | Exception
struct | ImageDomain
struct | TypeHolder

## Functions

template<typename T>
itk::SmartPointer< T > | CheckNew ()
std::vector< double > | ConvertStringsToVectorOfDouble (const std::vector< std::string > &strings)
template<std::vcl_size_t VDimension>
itk::Offset< VDimension > | ConvertToOffset (const std::vector< double > &doubles)
template<typename TPixel, unsigned VImageDimension>
auto | CreateImage (const ImageDomain< VImageDimension > &imageDomain)
template<typename TPixel, unsigned VImageDimension>
auto | CreateImage (const itk::Size< VImageDimension > &imageSize)
template<typename TPixel, unsigned VImageDimension>
auto | CreateImageFilledWithSequenceOfNaturalNumbers (const ImageDomain< VImageDimension > &imageDomain)
template<typename TPixel, unsigned VImageDimension>
auto | CreateImageFilledWithSequenceOfNaturalNumbers (const itk::Size< VImageDimension > &imageSize)
template<unsigned VImageDimension>
std::map< std::string, std::vector< std::string > > | CreateParameterMap (std::initializer_list< std::pair< std::string, std::string > > initializerList)
std::map< std::string, std::vector< std::string > > | CreateParameterMap (std::initializer_list< std::pair< std::string, std::string > > initializerList)
std::map< std::string, std::vector< std::string > > | CreateParameterMap (std::initializer_list< std::pair< std::string, std::vector< std::string > > > initializerList)
ParameterObject::Pointer | CreateParameterObject (const ParameterObject::ParameterMapType &parameterMap)
ParameterObject::Pointer | CreateParameterObject (std::initializer_list< std::pair< std::string, std::string > > initializerList)
template<unsigned int VImageDimension>
auto | CreateRandomImageDomain (std::mt19937 &randomNumberEngine)
template<typename TSmartPointer>
decltype(auto) | DerefSmartPointer (const TSmartPointer &ptr)
template<typename TPixel, unsigned int VImageDimension>
void | FillImageRegion (itk::Image< TPixel, VImageDimension > &image, const itk::Index< VImageDimension > &regionIndex, const itk::Size< VImageDimension > &regionSize)
template<typename T>
decltype(T().front()) | Front (T &container)
template<typename TRandomNumberEngine>
int | GenerateRandomSign (TRandomNumberEngine &randomNumberEngine)
std::string | GetCurrentBinaryDirectoryPath ()
std::string | GetDataDirectoryPath ()
std::string | GetNameOfTest (const testing::Test &)
template<typename TFilter>
std::vector< double > | GetTransformParametersFromFilter (TFilter &filter)
std::vector< double > | GetTransformParametersFromMaps (const std::vector< ParameterObject::ParameterMapType > &transformParameterMaps)

## Variables

constexpr itk::SizeValueType | minimumImageSizeValue { 4 }

## Function Documentation

## CheckNew()

template<typename T>

itk::SmartPointer< T > elastix::CoreMainGTestUtilities::CheckNew | ( |  | ) |

Definition at line 119 of file elxCoreMainGTestUtilities.h.

## ConvertStringsToVectorOfDouble()

std::vector< double > elastix::CoreMainGTestUtilities::ConvertStringsToVectorOfDouble | ( | const std::vector< std::string > & | strings | ) |

inline

Definition at line 149 of file elxCoreMainGTestUtilities.h.

## ConvertToOffset()

template<std::vcl_size_t VDimension>

itk::Offset< VDimension > elastix::CoreMainGTestUtilities::ConvertToOffset | ( | const std::vector< double > & | doubles | ) |

Definition at line 169 of file elxCoreMainGTestUtilities.h.

## CreateImage() [1/2]

template<typename TPixel, unsigned VImageDimension>

auto elastix::CoreMainGTestUtilities::CreateImage | ( | const ImageDomain< VImageDimension > & | imageDomain | ) |

Definition at line 467 of file elxCoreMainGTestUtilities.h.

## CreateImage() [2/2]

template<typename TPixel, unsigned VImageDimension>

auto elastix::CoreMainGTestUtilities::CreateImage | ( | const itk::Size< VImageDimension > & | imageSize | ) |

Definition at line 456 of file elxCoreMainGTestUtilities.h.

## CreateImageFilledWithSequenceOfNaturalNumbers() [1/2]

template<typename TPixel, unsigned VImageDimension>

auto elastix::CoreMainGTestUtilities::CreateImageFilledWithSequenceOfNaturalNumbers | ( | const ImageDomain< VImageDimension > & | imageDomain | ) |

Definition at line 479 of file elxCoreMainGTestUtilities.h.

## CreateImageFilledWithSequenceOfNaturalNumbers() [2/2]

template<typename TPixel, unsigned VImageDimension>

auto elastix::CoreMainGTestUtilities::CreateImageFilledWithSequenceOfNaturalNumbers | ( | const itk::Size< VImageDimension > & | imageSize | ) |

Definition at line 494 of file elxCoreMainGTestUtilities.h.

## CreateParameterMap() [1/3]

template<unsigned VImageDimension>

std::map< std::string, std::vector< std::string > > elastix::CoreMainGTestUtilities::CreateParameterMap | ( | std::initializer_list< std::pair< std::string, std::string > > | initializerList | ) |

Definition at line 219 of file elxCoreMainGTestUtilities.h.

## CreateParameterMap() [2/3]

std::map< std::string, std::vector< std::string > > elastix::CoreMainGTestUtilities::CreateParameterMap | ( | std::initializer_list< std::pair< std::string, std::string > > | initializerList | ) |

inline

Definition at line 204 of file elxCoreMainGTestUtilities.h.

## CreateParameterMap() [3/3]

std::map< std::string, std::vector< std::string > > elastix::CoreMainGTestUtilities::CreateParameterMap | ( | std::initializer_list< std::pair< std::string, std::vector< std::string > > > | initializerList | ) |

inline

Definition at line 191 of file elxCoreMainGTestUtilities.h.

## CreateParameterObject() [1/2]

ParameterObject::Pointer elastix::CoreMainGTestUtilities::CreateParameterObject | ( | const ParameterObject::ParameterMapType & | parameterMap | ) |

inline

Definition at line 240 of file elxCoreMainGTestUtilities.h.

## CreateParameterObject() [2/2]

ParameterObject::Pointer elastix::CoreMainGTestUtilities::CreateParameterObject | ( | std::initializer_list< std::pair< std::string, std::string > > | initializerList | ) |

inline

Definition at line 231 of file elxCoreMainGTestUtilities.h.

## CreateRandomImageDomain()

template<unsigned int VImageDimension>

auto elastix::CoreMainGTestUtilities::CreateRandomImageDomain | ( | std::mt19937 & | randomNumberEngine | ) |

Definition at line 384 of file elxCoreMainGTestUtilities.h.

## DerefSmartPointer()

template<typename TSmartPointer>

decltype(auto) elastix::CoreMainGTestUtilities::DerefSmartPointer | ( | const TSmartPointer & | ptr | ) |

Definition at line 91 of file elxCoreMainGTestUtilities.h.

## FillImageRegion()

template<typename TPixel, unsigned int VImageDimension>

void elastix::CoreMainGTestUtilities::FillImageRegion | ( | itk::Image< TPixel, VImageDimension > & | image,
|  | const itk::Index< VImageDimension > & | regionIndex,
|  | const itk::Size< VImageDimension > & | regionSize )

Fills the specified image region with pixel values 1.

Definition at line 135 of file elxCoreMainGTestUtilities.h.

## Front()

template<typename T>

decltype(T().front()) elastix::CoreMainGTestUtilities::Front | ( | T & | container | ) |

Returns a reference to the front of the specified container. Throws an Exception instead, when the container is empty.

Definition at line 107 of file elxCoreMainGTestUtilities.h.

## GenerateRandomSign()

template<typename TRandomNumberEngine>

int elastix::CoreMainGTestUtilities::GenerateRandomSign | ( | TRandomNumberEngine & | randomNumberEngine | ) |

Definition at line 376 of file elxCoreMainGTestUtilities.h.

## GetCurrentBinaryDirectoryPath()

std::string elastix::CoreMainGTestUtilities::GetCurrentBinaryDirectoryPath | ( |  | ) |

## GetDataDirectoryPath()

std::string elastix::CoreMainGTestUtilities::GetDataDirectoryPath | ( |  | ) |

## GetNameOfTest()

std::string elastix::CoreMainGTestUtilities::GetNameOfTest | ( | const testing::Test & |  | ) |

## GetTransformParametersFromFilter()

template<typename TFilter>

std::vector< double > elastix::CoreMainGTestUtilities::GetTransformParametersFromFilter | ( | TFilter & | filter | ) |

Definition at line 272 of file elxCoreMainGTestUtilities.h.

## GetTransformParametersFromMaps()

std::vector< double > elastix::CoreMainGTestUtilities::GetTransformParametersFromMaps | ( | const std::vector< ParameterObject::ParameterMapType > & | transformParameterMaps | ) |

inline

Definition at line 249 of file elxCoreMainGTestUtilities.h.

## Variable Documentation

## minimumImageSizeValue

itk::SizeValueType elastix::CoreMainGTestUtilities::minimumImageSizeValue { 4 }

constexpr

Definition at line 282 of file elxCoreMainGTestUtilities.h.

Generated on 1768596610 for elastix by 1.15.0 |